/******************    
Robert 21.07.25

Farben SC NRW
Rot: 	#d12e27 // 209,46,39 // Komplementär -> color: white
Grün:   #019934 // 1,153,52 // Komplementär -> color: white
Grau:   #9a9a9a // 154,154,154 // Komplementär -> color: ?

******************/ 

/* custom.css Systemseitige Definitionen: */
	.table-bordered > thead > tr > th {
		border: 1px solid #dadada;
	}
	.table-bordered > thead > tr > td {
		border: 1px solid #dadada;		
	}

/* Obere Navileiste mit Logo */
	.PtJ .navbar {
	    background-color: #019934 !important;
	}	
	
/* Progressbar */
	.progress-bar {
		background-color: #019934; /* grün */
		color: white;
	}

/* Container*/ 
	.bg-primary {
		background-color: #019934 !important;    /* grün */		
	}
	
/* Fragencontainer */
	.row > * {
		padding: calc(var(--bs-gutter-x)*.5);
	}
	.question-container {
		border-radius: 0.85rem 0.85rem 0 0;	
	}	
	.question-title-container {
		background-color: #9a9a9a; /* Grau */
		border-bottom: 5px solid #9a9a9a; /* Grau */
		border-bottom: 5px solid  #019934; /* Grün */
		color: #fff;
		font-weight: 600;
		border-radius: 0.85rem 0.85rem 0 0;	
	}
	.text-info {
		/*background-color: #E4F485;*/
		color: #000 !important;
	}
	
/* Warnfelder */
	.PtJ .alert-warning {
		background-color: transparent;
		border: 1px solid #019934;
		color: #019934
	}
	.PtJ .alert-warning hr {
		border-top-color:#019934
	}
	.PtJ .alert-warning .alert-link {
		color:#019934;
		text-decoration:underline
	}
	.PtJ .alert-danger {
		background-color:transparent;
		border:1px solid #a94442;
		color:#a94442
	}
	.PtJ .alert-danger hr {
		border-top-color:#a94442
	}
	.PtJ .alert-danger .alert-link {
		color:#a94442;
		text-decoration:underline
	}		
/* Antwortlabels */	
	.ls-answers label,
	.ls-answers th {
		font-weight: 600
	}	
/* Formularelemente - Dropdownfelder */
	.form-select{
		background-color:#9a9a9a;
		font-weight: 600;
	}
	.form-select:hover {
		background-color: #019934;
		color: white;
	}
	.form-select:focus {
		box-shadow:0 0 0 .25rem rgba(217,54,81,1);
		outline:0;
	}
	.form-select:after {
		background-color: #019934;
		color: white;
	}
/* Formularelemente - Eingabefelder */
	.form-control:focus {
		background-color:#9a9a9a;
		background-color:#fff;
		border-color:#9a9a9a;
		box-shadow:0 0 0 .25rem rgba(217,54,81,0.5);
		color:#212529;	
	}
/* Formularelemente - Checkboxen */	
	.form-check-input:checked {
		background-color: #9a9a9a;
		border-color: #9a9a9a;
	}
	.checkbox-item label::after {
        background-color: #9a9a9a;
    }
/* Formularelemente - Radiobuttons */
	.radio-item label::after {
		background-color: #d12e27; /* rot */
		background-color: #019934; /* grün */
	}
/* Formularelemente - Bewertungssterne */	
	.star-1{
		color: #019934;
	}
	.star-1.star-drained, .star-1.star-rated-on:not(.star-drained), .star-1.star-rated-on:not(.star-stub) {
		color: #FE8A91;
	}
	.star-1.star-drained.star-hover, .star-1.star-rated-on.star-hover, .star-1.star-thisrated.star-rated-on {
		color: #019934;
	}	
	.star-2{
		color: #377B67;
	}
	.star-2.star-drained, .star-2.star-rated-on:not(.star-drained), .star-2.star-rated-on:not(.star-stub) {
		color: #FE8A91;
	}
	.star-2.star-drained.star-hover, .star-2.star-rated-on.star-hover, .star-2.star-thisrated.star-rated-on {
		color: #019934;
	}	
	.star-3{
		color: #20BC71;
	}
	.star-3.star-drained, .star-3.star-rated-on:not(.star-drained), .star-3.star-rated-on:not(.star-stub) {
		color: #FE8A91;
	}
	.star-3.star-drained.star-hover, .star-3.star-rated-on.star-hover, .star-3.star-thisrated.star-rated-on {
		color: #019934;
	}	
	.star-4{
		color: #95D6AF;
	}
	.star-4.star-drained, .star-4.star-rated-on:not(.star-drained), .star-4.star-rated-on:not(.star-stub) {
		color: #FE8A91;
	}
	.star-4.star-drained.star-hover, .star-4.star-rated-on.star-hover, .star-4.star-thisrated.star-rated-on {
		color: #019934;
	}	
	.star-5{
		color: #D7E86E;
	}
	.star-5.star-drained, .star-5.star-rated-on:not(.star-drained), .star-5.star-rated-on:not(.star-stub) {
		color: #FE8A91;
	}
	.star-5.star-drained.star-hover, .star-5.star-rated-on.star-hover, .star-5.star-thisrated.star-rated-on {
		color: #019934;
	}

/* Buttons */ 
	.btn{
		border-radius: 0.85rem;	
		font-weight: 600;
	}
	.btn:hover {
	  background-color: #019934;
	  border-color: #019934;
	}	
	.btn-primary {
		background-color: #ccc;
		border-color: #ccc;
		font-weight: 600;
		color: #000;
	}	
	.btn-check:active + .btn-primary,
	.btn-check:checked + .btn-primary, 
	.btn-primary.active, 
	.btn-primary:active, 
	.show > .btn-primary.dropdown-toggle {		
		background-color: #019934 !important;
		border-color: #019934 !important;	
	}
	.btn-check:focus+.btn-primary,
	.btn-primary:focus,
	.btn-primary:hover {
		background-color: #019934 !important;
		border-color: #019934 !important;
	}
	.btn-check:active+.btn-primary:focus,
	.btn-check:checked+.btn-primary:focus,
	.btn-primary.active:focus,
	.btn-primary:active:focus,
	.show>.btn-primary.dropdown-toggle:focus {
		box-shadow:0 0 0 .25rem rgba(217,54,81,.5)
	}
	.btn-check:focus+.btn-primary,
	.btn-primary:focus {
		box-shadow:0 0 0 .25rem rgba(217,54,81,.5)
	}
/* Texte */
	.text-primary {
	  --bs-text-opacity: 1;
		color: #000 !important;
	}
/* Links */
	a {
		color:#019934;
		text-decoration:underline
	}
	a:hover {
		color:#b82e45;
	}
	/* Navigationslinks im Header oben rechts */
    #survey-nav .nav-link {
      color: #9a9a9a;
    }
    #survey-nav .nav-link:hover {
      color: #9a9a9a;
    }
